Page MenuHomePhabricator

rhg: fix `hg cat` interaction with null revision
ClosedPublic

Authored by aalekseyev on Oct 14 2021, 2:05 PM.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

aalekseyev created this revision.Oct 14 2021, 2:05 PM
pulkit accepted this revision.Oct 14 2021, 2:42 PM
This revision is now accepted and ready to land.Oct 14 2021, 2:42 PM

I forgot to mention that this test was broken with a "panic" since 61ce70fd420e (sorry!).

This fails to apply on current tip of default branch, can you rebase and resend?

aalekseyev updated this revision to Diff 30838.Oct 15 2021, 9:38 AM
aalekseyev updated this revision to Diff 30839.Oct 15 2021, 9:41 AM

Rebased! (I think)

Alphare accepted this revision.Oct 18 2021, 5:43 AM
Alphare added a subscriber: Alphare.

Queued, thanks

This revision was automatically updated to reflect the committed changes.